<script setup lang="ts">

import {computed} from "vue";
import {useRoute} from "vue-router";
import {useRouter} from "vue-router";
import {useToast} from "primevue/usetoast";

import Button from "primevue/button";
import Toast from "primevue/toast";
import {acceptInviteRequest} from "@/services/spaceService";

const route = useRoute();
const router = useRouter();
const toast = useToast();

const code = route.path.split('/').pop();


const acceptInvite = async () => {
  await acceptInviteRequest(code)
      .then((response) => {
        router.push( '/spaces').then(() => {
          router.go(0); // Это перезагружает страницу, при этом остается на том же пути
        });
      })
            .catch((error) => {
          console.log(error)
          toast.add({ severity: 'error', summary: 'Ошибка входа', detail: error.response.data.message, life: 3000 })
        });
}

</script>

<template>
  <Toast/>
  <div class="flex w-full h-full items-center justify-center bg-gray-100">
    <div class="flex flex-col w-full items-center gap-5">
      <h1 class="text-xl font-bold">Вы были приглашены в пространство по коду {{ code }}</h1>
      <p class="text-lg">Принять приглашение?</p>
      <div class="flex flex-row gap-4">
        <Button label="Отказаться" severity="secondary" @click="router.push('/spaces')"/>
        <Button label="Принять" severity="success" @click="acceptInvite"/>
      </div>
    </div>
  </div>
</template>

<style scoped>

</style>